Skip to content
Status

Update a charge

PUThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/charges/{charge_id}

PUT
/charges/{charge_id}

Update specific properties of a charge. Only certain fields can be modified:

  • status: Toggle between ACTIVE or WRITTENOFF
  • amount: New amount due (cannot be less than amount already paid)
  • due: Due date (if set to past date, payment may be taken immediately)
charge_id
required
string

The charge’s ID (cg_...), or the alt_key you gave it.

Media typeapplication/json
object
charge
object
object
status
string · enum
Allowed values: ACTIVE WRITTENOFF
amount
string

New amount due, cannot be less than amount already paid

due
string · date-time

When the charge is due

Updated charge

Media typeapplication/json
object
charge
object

A charge object representing an invoice on a contract. Contains all information about the charge including its status, amounts, and payment history.

object
id
string

The ID of the charge

amount
string

The amount of the charge

alt_key
string

Your supplied key for the charge (eg invoice id)

charge_number
integer

Which charge this is in a recurring contract (eg 1 for first, 2 for second)

extra_charge
boolean

If this charge was manually created

completed
string · date-time

When the charge was completed

contract
string

The contract this charge belongs to

created
string · date-time

When the charge was created

created_session
string

The session the object was created by

due
string · date-time

When the charge is due to be paid

initiated
string · date-time

When the charge was instructed

outstanding_amount
string

The amount that remains to be paid

overdue_amount
string

DEPRECATED - do not use

recurring
boolean

If this charge is part of a recurring contract

paid_amount
string

The amount that has been paid

status
string · enum

The status of the charge

Allowed values: ACTIVE PENDING COMPLETED WRITTENOFF
updated
string · date-time

When the charge was last modified

updated_session
string

The session the object was updated by

writtenoff_amount
string

The amount that has been written off

v
integer

The version of the record

Bad request

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Unauthorised: the API key is missing or not valid

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Example
{
"code": "UNAUTHORIZED",
"message": "Unauthorised"
}

Resource not found

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Was this page helpful?